Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/putapi-v-1-custom-objects-by-id-id

# Update a custom object instance

PUT `https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### id (path, integer, required)

Workspace ID (numeric). Find yours under Settings → Workspace.

## Body

#### form\_fields (body, object)

Partial custom field values keyed by field reference\_key. To rename the
object, send form\_fields.display\_name. If absent, the existing display
name is preserved. If present, it is trimmed, must be non-empty/
non-whitespace, and must be at most 255 characters.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X PUT 'https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"form_fields": {}}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}', {
  method: 'PUT',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"form_fields": {}}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.put(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects/by-id/{id}',
    headers={'X-Api-Key': '<api-key>'},
    json={"form_fields": {}}
)
data = res.json()
```
